'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardStat = function LargeCardStat(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    (0, _extends3['default'])({}, externalAttributes, { className: 'stats ' + props.className, flexDirection: 'row' }),
    _react2['default'].createElement(
      'span',
      { className: 'label' },
      props.label
    ),
    _react2['default'].createElement(
      'span',
      { className: 'value' },
      props.value
    )
  );
};

LargeCardStat.defaultProps = {
  name: '',
  value: 0
};

LargeCardStat.propTypes = {
  label: _react2['default'].PropTypes.string,
  value: _react2['default'].PropTypes.number
};

exports['default'] = LargeCardStat;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardStat.js.map