'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _MicroCardContentStatus = require('./MicroCardContentStatus');

var _MicroCardContentStatus2 = _interopRequireDefault(_MicroCardContentStatus);

var _MicroCardContentMessage = require('./MicroCardContentMessage');

var _MicroCardContentMessage2 = _interopRequireDefault(_MicroCardContentMessage);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardContent = function (_React$Component) {
  (0, _inherits3['default'])(MicroCardContent, _React$Component);

  function MicroCardContent() {
    (0, _classCallCheck3['default'])(this, MicroCardContent);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  MicroCardContent.prototype.render = function render() {
    var externalAttributes = (0, _externalAttributeFilter2['default'])(this.props);
    return _react2['default'].createElement(
      _flexboxReact2['default'],
      { flexDirection: 'column', paddingBottom: '10px', paddingLeft: '10px', paddingTop: '5px' },
      this.props.title ? _react2['default'].createElement(
        _flexboxReact2['default'],
        (0, _extends3['default'])({}, externalAttributes, { className: 'box__header ' + this.props.className }),
        this.props.title
      ) : '',
      _react2['default'].createElement(
        _flexboxReact2['default'],
        { flexGrow: 2 },
        this.props.children
      )
    );
  };

  return MicroCardContent;
}(_react2['default'].Component);

MicroCardContent.Status = _MicroCardContentStatus2['default'];
MicroCardContent.Message = _MicroCardContentMessage2['default'];


MicroCardContent.defaultProps = {
  title: ''
};

MicroCardContent.propTypes = {
  title: _react2['default'].PropTypes.string
};

exports['default'] = MicroCardContent;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardContent.js.map