'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TopNavContent = function TopNavContent(props) {
  return _react2['default'].createElement(
    'div',
    { className: 'nav__main--' + props.align },
    _react2['default'].createElement(
      'div',
      { className: 'nav__item ' + (props.align === 'right' ? 'nav__link' : '') },
      props.children
    )
  );
};

TopNavContent.defaultProps = {
  align: 'left'
};

TopNavContent.propTypes = {
  align: _react2['default'].PropTypes.string
};

exports['default'] = TopNavContent;
module.exports = exports['default'];
//# sourceMappingURL=TopNavContent.js.map