'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TopNavLocalTime = function (_React$Component) {
  (0, _inherits3['default'])(TopNavLocalTime, _React$Component);

  function TopNavLocalTime(props) {
    (0, _classCallCheck3['default'])(this, TopNavLocalTime);

    var _this = (0, _possibleConstructorReturn3['default'])(this, _React$Component.call(this, props));

    _this.state = { date: new Date() };
    return _this;
  }

  TopNavLocalTime.prototype.componentDidMount = function componentDidMount() {
    var _this2 = this;

    this.timerID = setInterval(function () {
      _this2.tick();
    }, 1000);
  };

  TopNavLocalTime.prototype.componentWillUnmount = function componentWillUnmount() {
    clearInterval(this.timerID);
  };

  TopNavLocalTime.prototype.tick = function tick() {
    this.setState({ date: new Date() });
  };

  TopNavLocalTime.prototype.render = function render() {
    return _react2['default'].createElement(
      'span',
      { className: 'localTime' },
      this.state.date.toLocaleTimeString([], { hour: '2-digit', minute: '2-digit' })
    );
  };

  return TopNavLocalTime;
}(_react2['default'].Component);

exports['default'] = TopNavLocalTime;
module.exports = exports['default'];
//# sourceMappingURL=TopNavLocalTime.js.map